Index: trunk/NEMO/OPA_SRC/OBC/obcini.F90
===================================================================
--- trunk/NEMO/OPA_SRC/OBC/obcini.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/OBC/obcini.F90	(revision 1601)
@@ -1,14 +1,17 @@
  MODULE obcini
-   !!=================================================================================
+   !!======================================================================
    !!                       ***  MODULE  obcini  ***
    !! OBC initial state :  Open boundary initial state
-   !!=================================================================================
+   !!======================================================================
+   !! History :  8.0  !  97-07  (J.M. Molines, G. Madec)  Original code
+   !!   NEMO     1.0  !  02-11  (C. Talandier, A-M. Treguier) Free surface, F90
+   !!            2.0  !  05-11  (V. Garnier) Surface pressure gradient organization
+   !!----------------------------------------------------------------------
 #if defined key_obc
-   !!---------------------------------------------------------------------------------
-   !!   'key_obc'                                             Open Boundary Conditions
-   !!---------------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   'key_obc'                                  Open Boundary Conditions
+   !!----------------------------------------------------------------------
    !!   obc_init       : initialization for the open boundary condition
-   !!---------------------------------------------------------------------------------
-   !! * Modules used
+   !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables
@@ -23,14 +26,13 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC obc_init        ! routine called by opa.F90
+   PUBLIC   obc_init   ! routine called by opa.F90
 
    !! * Substitutions
 #  include "obc_vectopt_loop_substitute.h90"
-   !!---------------------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 9.0 , LOCEAN-IPSL (2005) 
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!---------------------------------------------------------------------------------
+   !! software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
@@ -41,5 +43,5 @@
       !!         
       !! ** Purpose :   Initialization of the dynamics and tracer fields at 
-      !!      the open boundaries.
+      !!              the open boundaries.
       !!
       !! ** Method  :   initialization of open boundary variables
@@ -51,49 +53,41 @@
       !!
       !! ** Input   :   restart.obc file, restart file for open boundaries 
+      !!----------------------------------------------------------------------
+      USE obcrst,   ONLY :   obc_rst_read   ! Make obc_rst_read routine available
       !!
-      !! History :
-      !!   8.0  !  97-07  (G. Madec)  Original code
-      !!        !  97-11  (J.M. Molines)
-      !!   8.5  !  02-11  (C. Talandier, A-M. Treguier) Free surface, F90
-      !!   9.0  !  05-11  (V. Garnier) Surface pressure gradient organization
-      !!----------------------------------------------------------------------
-      !! * Modules used
-      USE obcrst,   ONLY :   obc_rst_read   ! Make obc_rst_read routine available
-
-      !! * Local declarations
       INTEGER  ::   ji, jj, istop , inumfbc
       INTEGER, DIMENSION(4) ::   icorner
-      REAL(wp) ::   zbsic1, zbsic2, zbsic3
       REAL(wp), DIMENSION(2) ::   ztestmask
-
-      NAMELIST/namobc/ rdpein, rdpwin, rdpnin, rdpsin,   &
-         &             rdpeob, rdpwob, rdpnob, rdpsob,   &
-         &             zbsic1, zbsic2, zbsic3,           &
-         &             volemp, nobc_dta, cffile,         &
+      !!
+      NAMELIST/namobc/ rn_dpein, rn_dpwin, rn_dpnin, rn_dpsin,      &
+         &             rn_dpeob, rn_dpwob, rn_dpnob, rn_dpsob,      &
+         &             rn_volemp, nn_obcdta, cn_obcdta, rn_volemp   &
          &             ln_obc_clim, ln_vol_cst, ln_obc_fla
       !!----------------------------------------------------------------------
 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'obc_init : initialization of open boundaries'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~'
-
-
-      ! 0. read namelist parameters
-      ! ---------------------------
-      ! default values already set except:
-      zbsic1 = 0.e0
-      zbsic2 = 0.e0
-      zbsic3 = 0.e0
-
-      ! Namelist namobc : open boundaries
-      REWIND( numnam )
+      REWIND( numnam )              ! Namelist namobc : open boundaries
       READ  ( numnam, namobc )
 
-      ! By security we set rdpxin and rdpxob respectively
-      ! to 1. and 15. if the corresponding OBC is not activated
-      IF( .NOT.lp_obc_east  ) THEN ; rdpein = 1. ; rdpeob = 15. ; END IF
-      IF( .NOT.lp_obc_west  ) THEN ; rdpwin = 1. ; rdpwob = 15. ; END IF
-      IF( .NOT.lp_obc_north ) THEN ; rdpnin = 1. ; rdpnob = 15. ; END IF
-      IF( .NOT.lp_obc_south ) THEN ; rdpsin = 1. ; rdpsob = 15. ; END IF
+      ! convert DOCTOR namelist name into the OLD names
+      nbobc    = nn_nbobc
+      nobc_dta = nn_obcdta
+      cffile   = cn_obcdta
+      rdpein   = rn_dpein
+      rdpwin   = rn_dpwin
+      rdpsin   = rn_dpsin
+      rdpnin   = rn_dpnin
+      rdpeob   = rn_dpeob
+      rdpwob   = rn_dpwob
+      rdpsob   = rn_dpsob
+      rdpnob   = rn_dpnob
+      volemp   = rn_volemp
+      
+
+
+      ! By security we set rdpxin and rdpxob respectively to 1. and 15. if the corresponding OBC is not activated
+      IF( .NOT.lp_obc_east  ) THEN   ;   rdpein = 1.   ;   rdpeob = 15.   ;   END IF
+      IF( .NOT.lp_obc_west  ) THEN   ;   rdpwin = 1.   ;   rdpwob = 15.   ;   END IF
+      IF( .NOT.lp_obc_north ) THEN   ;   rdpnin = 1.   ;   rdpnob = 15.   ;   END IF
+      IF( .NOT.lp_obc_south ) THEN   ;   rdpsin = 1.   ;   rdpsob = 15.   ;   END IF
 
       ! number of open boudaries and open boundary indicators
@@ -104,68 +98,67 @@
       IF( lp_obc_south )   nbobc = nbobc + 1
 
-      IF(lwp) WRITE(numout,*) '         Number of open boundaries    nbobc = ',nbobc
       IF(lwp) WRITE(numout,*)
-      IF( nbobc /= 0 .AND. jperio /= 0 ) &
-           &   CALL ctl_stop( ' Cyclic or symmetric, and open boundary condition are not compatible' )
+      IF(lwp) WRITE(numout,*) 'obc_init : initialization of open boundaries'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~'
+      IF(lwp) WRITE(numout,*) '   Number of open boundaries    nn_nbobc = ', nn_nbobc
+      IF(lwp) WRITE(numout,*)
 
       ! control prints
-      IF(lwp) WRITE(numout,*) '         namobc'
+      IF(lwp) WRITE(numout,*) '   Namelist namobc'
+      IF(lwp) WRITE(numout,*) '      data in file (=1) or initial state used (=0)   nn_obcdta   = ', nn_obcdta
+      IF(lwp) WRITE(numout,*) '      climatology (true) or not                      ln_obc_clim = ', ln_obc_clim
+      IF(lwp) WRITE(numout,*) '      vol_cst (true) or not:                         ln_vol_cst  = ', ln_vol_cst
       IF(lwp) WRITE(numout,*) ' '
-      IF(lwp) WRITE(numout,*) '         data in file (=1) or     nobc_dta = ', nobc_dta
-      IF(lwp) WRITE(numout,*) '         initial state used (=0)             '
-      IF(lwp) WRITE(numout,*) '         climatology (true) or not:', ln_obc_clim
-      IF(lwp) WRITE(numout,*) '         vol_cst (true) or not:', ln_vol_cst
-      IF(lwp) THEN
-          IF ( lk_dynspg_flt ) WRITE(numout,*) '                   dynspg_flt T ==> vol_cst forced to T'
-      ENDIF
-      IF(lwp) WRITE(numout,*) ' '
-      IF(lwp) WRITE(numout,*) '                                 WARNING                                                  '
-      IF(lwp) WRITE(numout,*) '         Flather"s algorithm is applied with explicit free surface scheme                 '
-      IF(lwp) WRITE(numout,*) '         or with free surface time-splitting scheme                                       '
-      IF(lwp) WRITE(numout,*) '         Nor radiation neither relaxation is allowed with explicit free surface scheme:   '
-      IF(lwp) WRITE(numout,*) '         Radiation and/or relaxation is allowed with free surface time-splitting scheme '
-      IF(lwp) WRITE(numout,*) '         depending of the choice of rdpXin = rdpXob  = 0. for open boundaries             '
-      IF(lwp) WRITE(numout,*) ' '
-      IF(lwp) WRITE(numout,*) '         For the filtered free surface case,                                              '
-      IF(lwp) WRITE(numout,*) '         radiation, relaxation or presciption of data can be applied                      '
+      IF(lwp) WRITE(numout,*) '   WARNING                                                  '
+      IF(lwp) WRITE(numout,*) '      Flather"s algorithm is applied with explicit free surface scheme                 '
+      IF(lwp) WRITE(numout,*) '      or with free surface time-splitting scheme                                       '
+      IF(lwp) WRITE(numout,*) '      Nor radiation neither relaxation is allowed with explicit free surface scheme:   '
+      IF(lwp) WRITE(numout,*) '      Radiation and/or relaxation is allowed with free surface time-splitting scheme '
+      IF(lwp) WRITE(numout,*) '      depending of the choice of rdpXin = rdpXob  = 0. for open boundaries             '
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '      For the filtered free surface case,                                              '
+      IF(lwp) WRITE(numout,*) '      radiation, relaxation or presciption of data can be applied                      '
+      IF(lwp) WRITE(numout,*)
 
       IF( lwp.AND.lp_obc_east ) THEN
-         WRITE(numout,*) '         East open boundary :'
-         WRITE(numout,*) '              i index                    jpieob = ', jpieob
-         WRITE(numout,*) '              damping time scale (days)  rdpeob = ', rdpeob
-         WRITE(numout,*) '              damping time scale (days)  rdpein = ', rdpein
+         WRITE(numout,*) '      East open boundary :'
+         WRITE(numout,*) '         i index                    jpieob   = ', jpieob
+         WRITE(numout,*) '         damping time scale (days)  rn_dpeob = ', rn_dpeob
+         WRITE(numout,*) '         damping time scale (days)  rn_dpein = ', rn_dpein
       ENDIF
 
       IF( lwp.AND.lp_obc_west ) THEN
-         WRITE(numout,*) '         West open boundary :'
-         WRITE(numout,*) '              i index                    jpiwob = ', jpiwob
-         WRITE(numout,*) '              damping time scale (days)  rdpwob = ', rdpwob
-         WRITE(numout,*) '              damping time scale (days)  rdpwin = ', rdpwin
+         WRITE(numout,*) '      West open boundary :'
+         WRITE(numout,*) '         i index                    jpiwob   = ', jpiwob
+         WRITE(numout,*) '         damping time scale (days)  rn_dpwob = ', rn_dpwob
+         WRITE(numout,*) '         damping time scale (days)  rn_dpwin = ', rn_dpwin
       ENDIF
 
       IF( lwp.AND.lp_obc_north ) THEN
-         WRITE(numout,*) '         North open boundary :'
-         WRITE(numout,*) '               j index                    jpjnob = ', jpjnob
-         WRITE(numout,*) '               damping time scale (days)  rdpnob = ', rdpnob
-         WRITE(numout,*) '               damping time scale (days)  rdpnin = ', rdpnin
+         WRITE(numout,*) '      North open boundary :'
+         WRITE(numout,*) '         j index                    jpjnob   = ', jpjnob
+         WRITE(numout,*) '         damping time scale (days)  rn_dpnob = ', rn_dpnob
+         WRITE(numout,*) '         damping time scale (days)  rn_dpnin = ', rn_dpnin
       ENDIF
 
       IF( lwp.AND.lp_obc_south ) THEN
-         WRITE(numout,*) '         South open boundary :'
-         WRITE(numout,*) '               j index                    jpjsob = ', jpjsob
-         WRITE(numout,*) '               damping time scale (days)  rdpsob = ', rdpsob
-         WRITE(numout,*) '               damping time scale (days)  rdpsin = ', rdpsin
-         WRITE(numout,*) ' '
-      ENDIF
+         WRITE(numout,*) '      South open boundary :'
+         WRITE(numout,*) '         j index                    jpjsob   = ', jpjsob
+         WRITE(numout,*) '         damping time scale (days)  rn_dpsob = ', rn_dpsob
+         WRITE(numout,*) '         damping time scale (days)  rn_dpsin = ', rn_dpsin
+         WRITE(numout,*)
+      ENDIF
+
+      IF( nbobc /= 0 .AND. jperio /= 0 )   &
+         &   CALL ctl_stop( ' Cyclic or symmetric, and open boundary condition are not compatible' )
 
       ! 1. Initialisation of constants 
       ! ------------------------------
-
       ! ...                          convert rdp$ob in seconds
       ! Fixed Bdy flag              inbound                outbound
-      lfbceast  = .FALSE. ; rdpein = rdpein * rday  ; rdpeob = rdpeob * rday
-      lfbcwest  = .FALSE. ; rdpwin = rdpwin * rday  ; rdpwob = rdpwob * rday
-      lfbcnorth = .FALSE. ; rdpnin = rdpnin * rday  ; rdpnob = rdpnob * rday
-      lfbcsouth = .FALSE. ; rdpsin = rdpsin * rday  ; rdpsob = rdpsob * rday
+      lfbceast  = .FALSE.   ;   rdpein = rdpein * rday    ;   rdpeob = rdpeob * rday
+      lfbcwest  = .FALSE.   ;   rdpwin = rdpwin * rday    ;   rdpwob = rdpwob * rday
+      lfbcnorth = .FALSE.   ;   rdpnin = rdpnin * rday    ;   rdpnob = rdpnob * rday
+      lfbcsouth = .FALSE.   ;   rdpsin = rdpsin * rday    ;   rdpsob = rdpsob * rday
       inumfbc = 0
       ! ... look for Fixed Boundaries (rdp = 0 )
@@ -175,8 +168,8 @@
       IF( lp_obc_east )  THEN
          IF( (rdpein+rdpeob) == 0 )  THEN
-            lfbceast = .TRUE. ; rdpein = 1e-3 ; rdpeob = 1e-3
+            lfbceast = .TRUE.   ;   rdpein = 1e-3   ;   rdpeob = 1e-3
             inumfbc = inumfbc+1
          ELSEIF ( (rdpein*rdpeob) == 0 )  THEN
-            CALL ctl_stop( 'obc_init : rdpein & rdpeob must be both zero or non zero' )
+            CALL ctl_stop( 'obc_init : rn_dpein & rn_dpeob must be both zero or non zero' )
          END IF
       END IF
@@ -184,24 +177,24 @@
       IF( lp_obc_west )  THEN
          IF( (rdpwin + rdpwob) == 0 )  THEN
-            lfbcwest = .TRUE. ; rdpwin = 1e-3 ; rdpwob = 1e-3
+            lfbcwest = .TRUE.     ;     rdpwin = 1e-3     ;     rdpwob = 1e-3
             inumfbc = inumfbc+1
          ELSEIF ( (rdpwin*rdpwob) == 0 )  THEN
-            CALL ctl_stop( 'obc_init : rdpwin & rdpwob must be both zero or non zero' )
+            CALL ctl_stop( 'obc_init : rn_dpwin & rn_dpwob must be both zero or non zero' )
          END IF
       END IF
       IF( lp_obc_north )  THEN
          IF( (rdpnin + rdpnob) == 0 )  THEN
-            lfbcnorth = .TRUE. ; rdpnin = 1e-3 ; rdpnob = 1e-3
+            lfbcnorth = .TRUE.     ;     rdpnin = 1e-3     ;     rdpnob = 1e-3
             inumfbc = inumfbc+1
          ELSEIF ( (rdpnin*rdpnob) == 0 )  THEN
-            CALL ctl_stop( 'obc_init : rdpnin & rdpnob must be both zero or non zero' )
+            CALL ctl_stop( 'obc_init : rn_dpnin & rn_dpnob must be both zero or non zero' )
          END IF
       END IF
       IF( lp_obc_south )  THEN
          IF( (rdpsin + rdpsob) == 0 )  THEN
-            lfbcsouth = .TRUE. ; rdpsin = 1e-3 ; rdpsob = 1e-3
+            lfbcsouth = .TRUE.   ;   rdpsin = 1e-3   ;   rdpsob = 1e-3
             inumfbc = inumfbc+1
          ELSEIF ( (rdpsin*rdpsob) == 0 )  THEN
-            CALL ctl_stop( 'obc_init : rdpsin & rdpsob must be both zero or non zero' )
+            CALL ctl_stop( 'obc_init : rn_dpsin & rn_dpsob must be both zero or non zero' )
          END IF
       END IF
@@ -315,5 +308,5 @@
 
          ! ... initilization to zero
-         uemsk(:,:) = 0.e0 ; vemsk(:,:) = 0.e0 ; temsk(:,:) = 0.e0
+         uemsk(:,:) = 0.e0   ;   vemsk(:,:) = 0.e0   ;   temsk(:,:) = 0.e0
 
          ! ... set 2D mask on East OBC,  Vopt
@@ -333,5 +326,5 @@
 
          ! ... initilization to zero
-         uwmsk(:,:) = 0.e0 ; vwmsk(:,:) = 0.e0 ; twmsk(:,:) = 0.e0  
+         uwmsk(:,:) = 0.e0   ;   vwmsk(:,:) = 0.e0   ;   twmsk(:,:) = 0.e0  
 
          ! ... set 2D mask on West OBC,  Vopt
@@ -350,5 +343,5 @@
 
          ! ... initilization to zero
-         unmsk(:,:) = 0.e0 ; vnmsk(:,:) = 0.e0 ; tnmsk(:,:) = 0.e0
+         unmsk(:,:) = 0.e0   ;   vnmsk(:,:) = 0.e0   ;   tnmsk(:,:) = 0.e0
 
          ! ... set 2D mask on North OBC,  Vopt
@@ -368,5 +361,5 @@
 
          ! ... initilization to zero
-         usmsk(:,:) = 0.e0 ; vsmsk(:,:) = 0.e0 ; tsmsk(:,:) = 0.e0
+         usmsk(:,:) = 0.e0   ;   vsmsk(:,:) = 0.e0   ;   tsmsk(:,:) = 0.e0
 
          ! ... set 2D mask on South OBC,  Vopt
Index: trunk/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/albedo.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/SBC/albedo.F90	(revision 1601)
@@ -4,9 +4,11 @@
    !! Ocean forcing:  bulk thermohaline forcing of the ocean (or ice)
    !!=====================================================================
-   !! History :  8.0  !  01-04  (LIM 1.0)
-   !!            8.5  !  03-07  (C. Ethe, G. Madec)  Optimization (old name:shine)
-   !!            9.0  !  04-11  (C. Talandier)  add albedo_init
-   !!             -   !  01-06  (M. Vancoppenolle) LIM 3.0
-   !!             -   !  06-08  (G. Madec)  cleaning for surface module
+   !! History :  8.0  ! 2001-04  (LIM 1.0)
+   !!   NEMO     1.0  ! 2003-07  (C. Ethe, G. Madec)  Optimization (old name:shine)
+   !!             -   ! 2004-11  (C. Talandier)  add albedo_init
+   !!             -   ! 2001-06  (M. Vancoppenolle) LIM 3.0
+   !!             -   ! 2006-08  (G. Madec)  cleaning for surface module
+   !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !!   albedo_ice  : albedo for   ice (clear and overcast skies)
@@ -20,6 +22,6 @@
    PRIVATE
 
-   PUBLIC albedo_ice   ! routine called sbcice_lim.F90
-   PUBLIC albedo_oce   ! routine called by ???
+   PUBLIC   albedo_ice   ! routine called sbcice_lim.F90
+   PUBLIC   albedo_oce   ! routine called by ???
 
    INTEGER  ::   albd_init = 0      !: control flag for initialization
@@ -31,18 +33,17 @@
    REAL(wp) ::   rmue   = 0.40    !  cosine of local solar altitude
 
-   !!* namelist namalb
-   REAL(wp) ::   &
-      cgren  = 0.06  ,     &   !  cloudiness effect on snow or ice albedo (Grenfell & Perovich, 1984)
+   !                               !!* namelist namsbc_alb
+   REAL(wp) ::   rn_cloud  = 0.06   !  cloudiness effect on snow or ice albedo (Grenfell & Perovich, 1984)
 #if defined key_lim3
-      albice = 0.53  ,     &   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
+   REAL(wp) ::   rn_albice = 0.53   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
 #else
-      albice = 0.50  ,     &   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
+   REAL(wp) ::   rn_albice = 0.50   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
 #endif
-      alphd  = 0.80  ,     &   !  coefficients for linear interpolation used to compute
-      alphdi = 0.72  ,     &   !  albedo between two extremes values (Pyane, 1972)
-      alphc  = 0.65 
-
-   !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2006) 
+   REAL(wp) ::   rn_alphd  = 0.80   !  coefficients for linear interpolation used to compute
+   REAL(wp) ::   rn_alphdi = 0.72   !  albedo between two extremes values (Pyane, 1972)
+   REAL(wp) ::   rn_alphc  = 0.65   ! 
+
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 9.0 , LOCEAN-IPSL (2009) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -82,5 +83,5 @@
       !!
       LOGICAL , DIMENSION(jpi,jpj,SIZE(pt_ice,3)) ::   llmask
-      REAL(wp), DIMENSION(jpi,jpj,SIZE(pt_ice,3)) ::   zalbfz    ! = alphdi for freezing ice ; = albice for melting ice
+      REAL(wp), DIMENSION(jpi,jpj,SIZE(pt_ice,3)) ::   zalbfz    ! = rn_alphdi for freezing ice ; = rn_albice for melting ice
       REAL(wp), DIMENSION(jpi,jpj,SIZE(pt_ice,3)) ::   zficeth   !  function of ice thickness
       !!---------------------------------------------------------------------
@@ -95,8 +96,6 @@
       llmask = ( ph_snw == 0.e0 ) .AND. ( pt_ice >= rt0_ice )
       ! ice free of snow and melts
-      WHERE( llmask )   
-         zalbfz = albice
-      ELSEWHERE     
-         zalbfz = alphdi
+      WHERE( llmask )   ;   zalbfz = rn_albice
+      ELSEWHERE         ;   zalbfz = rn_alphdi
       END WHERE
 
@@ -131,11 +130,11 @@
                !                                        !  freezing snow        
                zihsc1   = 1.0 - MAX( zzero , SIGN( zone , - ( ph_snw(ji,jj,jl) - c1 ) ) )
-               zalbpsnf = ( 1.0 - zihsc1 ) * (  zficeth(ji,jj,jl)                                        &
-                  &                           + ph_snw(ji,jj,jl) * ( alphd - zficeth(ji,jj,jl) ) / c1  )   &
-                  &     +         zihsc1   * alphd  
+               zalbpsnf = ( 1.0 - zihsc1 ) * (  zficeth(ji,jj,jl)                                             &
+                  &                           + ph_snw(ji,jj,jl) * ( rn_alphd - zficeth(ji,jj,jl) ) / c1  )   &
+                  &     +         zihsc1   * rn_alphd  
                !                                        !  melting snow                
                zihsc2   = MAX( zzero , SIGN( zone , ph_snw(ji,jj,jl) - c2 ) )
-               zalbpsnm = ( 1.0 - zihsc2 ) * ( albice + ph_snw(ji,jj,jl) * ( alphc - albice ) / c2 )       &
-                  &     +         zihsc2   * alphc 
+               zalbpsnm = ( 1.0 - zihsc2 ) * ( rn_albice + ph_snw(ji,jj,jl) * ( rn_alphc - rn_albice ) / c2 )   &
+                  &     +         zihsc2   *   rn_alphc 
                !
                zitmlsn  =  MAX( zzero , SIGN( zone , pt_ice(ji,jj,jl) - rt0_snow ) )   
@@ -154,5 +153,5 @@
       !    Albedo of snow-ice for overcast sky.
       !----------------------------------------------  
-      pa_ice_os(:,:,:) = pa_ice_cs(:,:,:) + cgren       ! Oberhuber correction
+      pa_ice_os(:,:,:) = pa_ice_cs(:,:,:) + rn_cloud       ! Oberhuber correction
       !
    END SUBROUTINE albedo_ice
@@ -186,25 +185,24 @@
       !! ** Purpose :   initializations for the albedo parameters
       !!
-      !! ** Method  :   Read the namelist namalb
-      !!----------------------------------------------------------------------
-      NAMELIST/namalb/ cgren, albice, alphd, alphdi, alphc
-      !!----------------------------------------------------------------------
-
-      ! set the initialization flag to 1
-      albd_init = 1           ! indicate that the initialization has been done
-
-      ! Read Namelist namalb : albedo parameters
-      REWIND( numnam )
-      READ  ( numnam, namalb )
-
-      IF(lwp) THEN               ! Control print
+      !! ** Method  :   Read the namelist namsbc_alb
+      !!----------------------------------------------------------------------
+      NAMELIST/namsbc_alb/ rn_cloud, rn_albice, rn_alphd, rn_alphdi, rn_alphc
+      !!----------------------------------------------------------------------
+      !
+      albd_init = 1                     ! indicate that the initialization has been done
+      !
+      REWIND( numnam )                  ! Read Namelist namsbc_alb : albedo parameters
+      READ  ( numnam, namsbc_alb )
+      !
+      IF(lwp) THEN                      ! Control print
          WRITE(numout,*)
-         WRITE(numout,*) 'albedo_init : set albedo parameters from namelist namalb'
-         WRITE(numout,*) '~~~~~~~~~~~'
-         WRITE(numout,*) '             correction for snow and ice albedo                    cgren  = ', cgren
-         WRITE(numout,*) '             albedo of melting ice in the arctic and antarctic     albice = ', albice
-         WRITE(numout,*) '             coefficients for linear                               alphd  = ', alphd
-         WRITE(numout,*) '             interpolation used to compute albedo                  alphdi = ', alphdi
-         WRITE(numout,*) '             between two extremes values (Pyane, 1972)             alphc  = ', alphc
+         WRITE(numout,*) 'albedo : set albedo parameters'
+         WRITE(numout,*) '~~~~~~~'
+         WRITE(numout,*) '   Namelist namsbc_alb : albedo '
+         WRITE(numout,*) '      correction for snow and ice albedo                  rn_cloud  = ', rn_cloud
+         WRITE(numout,*) '      albedo of melting ice in the arctic and antarctic   rn_albice = ', rn_albice
+         WRITE(numout,*) '      coefficients for linear                             rn_alphd  = ', rn_alphd
+         WRITE(numout,*) '      interpolation used to compute albedo                rn_alphdi = ', rn_alphdi
+         WRITE(numout,*) '      between two extremes values (Pyane, 1972)           rn_alphc  = ', rn_alphc
       ENDIF
       !
Index: trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 1601)
@@ -54,5 +54,5 @@
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf   ! structure of input fields (file informations, fields read)
          
-   !! * CORE bulk parameters
+   !                                             !!! CORE bulk parameters
    REAL(wp), PARAMETER ::   rhoa =    1.22        ! air density
    REAL(wp), PARAMETER ::   cpa  = 1000.5         ! specific heat of air
@@ -62,6 +62,7 @@
    REAL(wp), PARAMETER ::   Cice =    1.63e-3     ! transfer coefficient over ice
 
-   LOGICAL  ::   ln_2m = .FALSE.                  !: logical flag for height of air temp. and hum
-   REAL(wp) ::   alpha_precip=1.                  !: multiplication factor for precipitation
+   !                                !!* Namelist namsbc_core : CORE bulk parameters
+   LOGICAL  ::   ln_2m = .FALSE.     ! logical flag for height of air temp. and hum
+   REAL(wp) ::   rn_pfac = 1.        ! multiplication factor for precipitation
 
    !! * Substitutions
@@ -115,6 +116,6 @@
       TYPE(FLD_N) ::   sn_wndi, sn_wndj, sn_humi, sn_qsr       ! informations about the fields to be read
       TYPE(FLD_N) ::   sn_qlw , sn_tair, sn_prec, sn_snow      !   "                                 "
-      NAMELIST/namsbc_core/ cn_dir, ln_2m, alpha_precip, sn_wndi, sn_wndj, sn_humi, sn_qsr,   &
-         &                                               sn_qlw , sn_tair, sn_prec, sn_snow
+      NAMELIST/namsbc_core/ cn_dir, ln_2m, rn_pfac, sn_wndi, sn_wndj, sn_humi, sn_qsr,   &
+         &                                                sn_qlw , sn_tair, sn_prec, sn_snow
       !!---------------------------------------------------------------------
 
@@ -124,5 +125,5 @@
          ! set file information (default values)
          cn_dir = './'       ! directory in which the model is executed
-
+         !
          ! (NB: frequency positive => hours, negative => months)
          !            !    file     ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
@@ -136,8 +137,8 @@
          sn_prec = FLD_N( 'precip'  ,    -1.    ,  'precip'  ,  .true.    , .false. ,   'yearly'  , ''       , ''         )
          sn_snow = FLD_N( 'snow'    ,    -1.    ,  'snow'    ,  .true.    , .false. ,   'yearly'  , ''       , ''         )
-
+         !
          REWIND( numnam )                    ! ... read in namlist namsbc_core
          READ  ( numnam, namsbc_core )
-
+         !
          ! store namelist information in an array
          slf_i(jp_wndi) = sn_wndi   ;   slf_i(jp_wndj) = sn_wndj
@@ -145,5 +146,5 @@
          slf_i(jp_tair) = sn_tair   ;   slf_i(jp_humi) = sn_humi
          slf_i(jp_prec) = sn_prec   ;   slf_i(jp_snow) = sn_snow
-         
+         !
          ! set sf structure
          ALLOCATE( sf(jpfld), STAT=ierror )
@@ -151,15 +152,13 @@
             CALL ctl_stop( 'sbc_blk_core: unable to allocate sf structure' )   ;   RETURN
          ENDIF
-
          DO ifpr= 1, jpfld
             ALLOCATE( sf(ifpr)%fnow(jpi,jpj) )
             ALLOCATE( sf(ifpr)%fdta(jpi,jpj,2) )
          END DO
-
+         !
          ! fill sf with slf_i and control print
          CALL fld_fill( sf, slf_i, cn_dir, 'sbc_blk_core', 'flux formulattion for ocean surface boundary condition', 'namsbc_core' )
          !
       ENDIF
-
 
       CALL fld_read( kt, nn_fsbc, sf )                   ! input fields provided at the current time-step
@@ -327,5 +326,5 @@
       qns(:,:) = zqlw(:,:) - zqsb(:,:) - zqla(:,:)      ! Downward Non Solar flux
 !CDIR COLLAPSE
-      emp (:,:) = zevap(:,:) - sf(jp_prec)%fnow(:,:) * alpha_precip * tmask(:,:,1)
+      emp (:,:) = zevap(:,:) - sf(jp_prec)%fnow(:,:) * rn_pfac * tmask(:,:,1)
 !CDIR COLLAPSE
       emps(:,:) = emp(:,:)
@@ -533,8 +532,8 @@
        
 !CDIR COLLAPSE
-      p_tpr(:,:) = sf(jp_prec)%fnow(:,:) * alpha_precip      ! total precipitation [kg/m2/s]
-!CDIR COLLAPSE
-      p_spr(:,:) = sf(jp_snow)%fnow(:,:) * alpha_precip      ! solid precipitation [kg/m2/s]
-      CALL iom_put( 'snowpre', p_spr )                       ! Snow precipitation 
+      p_tpr(:,:) = sf(jp_prec)%fnow(:,:) * rn_pfac      ! total precipitation [kg/m2/s]
+!CDIR COLLAPSE
+      p_spr(:,:) = sf(jp_snow)%fnow(:,:) * rn_pfac      ! solid precipitation [kg/m2/s]
+      CALL iom_put( 'snowpre', p_spr )                  ! Snow precipitation 
       !
       IF(ln_ctl) THEN
Index: trunk/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 1601)
@@ -115,5 +115,5 @@
          WRITE(numout,*) '              Sea Surface Restoring on SST and/or SSS    ln_ssr      = ', ln_ssr
          WRITE(numout,*) '              FreshWater Budget control  (=0/1/2)        nn_fwb      = ', nn_fwb
-         WRITE(numout,*) '              closed sea (=0/1) (set in namdom)          nclosea     = ', nclosea
+         WRITE(numout,*) '              closed sea (=0/1) (set in namdom)          nn_closea   = ', nn_closea
       ENDIF
 
